org.appng.appngizer.model.xml

## Class Grant

- java.lang.Object
- - org.appng.appngizer.model.xml.Grant

-     public class Grant
      extends Object

  Java class for grant complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="grant">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>boolean">
             <attribute name="site" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `site`
    `protected boolean` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Grant()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSite()` Gets the value of the site property.
    `boolean` | `isValue()` Gets the value of the value property.
    `void` | `setSite(String value)` Sets the value of the site property.
    `void` | `setValue(boolean value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected boolean value

    - #### site

          protected String site

  - ### Constructor Detail

    - #### Grant

          public Grant()

  - ### Method Detail

    - #### isValue

          public boolean isValue()

      Gets the value of the value property.

    - #### setValue

          public void setValue(boolean value)

      Sets the value of the value property.

    - #### getSite

          public String getSite()

      Gets the value of the site property.
      Returns:
        possible object is `String`

    - #### setSite

          public void setSite(String value)

      Sets the value of the site property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.